Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.78/9: Рейтинг темы: голосов - 9, средняя оценка - 4.78
JCooller
0 / 0 / 0
Регистрация: 18.07.2016
Сообщений: 6
#1

Gradle в studio не подключает зависимости

25.08.2016, 18:33. Просмотров 1583. Ответов 7
Метки нет (Все метки)

Java
1
2
3
4
5
6
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        compile 'com.github.navasmdc:MaterialDesign:1.5@aar'
И такая ошибка при любой зависимости

Error9, 0) Could not find method compile() for arguments [com.github.navasmdc:MaterialDesign:1.5@aar] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
25.08.2016, 18:33
Ответы с готовыми решениями:

Gradle не формирует проект в Android Studio
Всем привет! Нужна помощь при создание нового проекта в Android Studio, Gradl...

В android studio - Ошибка: build.gradle error (23,17)
В android studio - Ошибка: build.gradle error (23,17), только установил,...

Как настроить gradle в Android Studio на работу с NDK
Можете дать ссылку на готовый пример или подробное описание как подключить ndk...

Gradle build finished with 4 error(s). Android Studio. My First App
Добрый день, уважаемые форумчане! Я - новичок в программировании под...

Удаляется библиотека в Android Studio, хотя я уже добавил ее в Gradle
Пробовал добавлять 2 способами 1) Закинул в папку сразу в AS и нажал Add new...

7
Pablito
2707 / 2154 / 731
Регистрация: 12.05.2014
Сообщений: 7,516
Завершенные тесты: 1
25.08.2016, 18:55 #2
зависимости надо добавлять в build.gradle модуля, а не проекта
0
JCooller
0 / 0 / 0
Регистрация: 18.07.2016
Сообщений: 6
26.08.2016, 02:55  [ТС] #3
Java
1
2
3
4
5
6
7
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:24.1.1'
    compile 'com.android.support:design:24.1.1'
    compile 'com.squareup.picasso:picasso:2.3.2'
}
все равно выпадает ошибка Error9, 0) Could not find method compile() for arguments [com.squareup.picassoicasso:2.3.2] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
0
Pablito
2707 / 2154 / 731
Регистрация: 12.05.2014
Сообщений: 7,516
Завершенные тесты: 1
26.08.2016, 12:18 #4
надо видеть оба файла целиком - и с уровня проекта и с модуля
0
JCooller
0 / 0 / 0
Регистрация: 18.07.2016
Сообщений: 6
26.08.2016, 15:47  [ТС] #5
Проект
Java
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.1.3'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}
 
allprojects {
    repositories {
        jcenter()
    }
}
 
task clean(type: Delete) {
    delete rootProject.buildDir
}
app
Java
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
apply plugin: 'com.android.application'
android {
    compileSdkVersion 24
    buildToolsVersion "24.0.1"
 
    defaultConfig {
        applicationId "ru.red.myconf"
        minSdkVersion 19
        targetSdkVersion 24
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:24.1.1'
    compile 'com.android.support:design:24.1.1'
 
}
0
Pablito
2707 / 2154 / 731
Регистрация: 12.05.2014
Сообщений: 7,516
Завершенные тесты: 1
26.08.2016, 15:52 #6
и где там строки с либами которые надо подключить?
0
JCooller
0 / 0 / 0
Регистрация: 18.07.2016
Сообщений: 6
26.08.2016, 16:19  [ТС] #7
прошу прощения вот
Java
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
apply plugin: 'com.android.application'
android {
    compileSdkVersion 24
    buildToolsVersion "24.0.1"
 
    defaultConfig {
        applicationId "ru.red.myconf"
        minSdkVersion 19
        targetSdkVersion 24
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:24.1.1'
    compile 'com.android.support:design:24.1.1'
    compile 'com.squareup.picasso:picasso-parent:2.5.2'
}
Java
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.1.3'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}
 
allprojects {
    repositories {
        jcenter()
    }
}
 
task clean(type: Delete) {
    delete rootProject.buildDir
}
0
JCooller
0 / 0 / 0
Регистрация: 18.07.2016
Сообщений: 6
29.08.2016, 12:50  [ТС] #8
в чем же проблема?
0
29.08.2016, 12:50
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
29.08.2016, 12:50

Gradle sync failed: Invalid Gradle JDK configuration found
Спустя пару часов все таки решил открыть тему. Intellij IDEA 15.0.2 ...

Не получается запустить проект (в android studio пишет Gradle 'MyApp' project refresh failed)
Всем доброе перестал запускаться проект (до этого он тоже не запускался, но...

Ошибка при сборке "This version of Android Studio is incompatible with the Gradle Plugin used"
Сегодня обновил студию, теперь при сборке проекта вылетает с ошибкой: Error...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
8
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru